Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nwalsh.saxon
Class Callout

    java.lang.Object
      |
      +--com.nwalsh.saxon.Callout

public class Callout
extends java.lang.Object
implements java.lang.Comparable

Utility class for the Verbatim extension (ignore this).

$Id: Callout.html,v 1.1 2002/05/26 21:30:08 msevigny Exp $

Copyright (C) 2000 Norman Walsh.

This class is just for book keeping in the Verbatim class. It stores information about the location of callouts.

Only line/column based callouts are supported. This class implements the Comparable interface so that callouts can be sorted. Callouts are sorted so that they occur in left-to-right, top-to-bottom order based on line/column.

Change Log:

1.0

  Initial release.

See Also:
  `Verbatim`

Constructor Summary
`Callout(int callout, com.icl.saxon.om.ElementInfo area, int line, int col)` The constructor; initialize the private data structures.

Method Summary
`int` | `compareTo(java.lang.Object o)` The compareTo method compares this Callout with another.
`com.icl.saxon.om.ElementInfo` | `getArea()` Access the Callout's area.
`int` | `getCallout()` Access the Callout's callout number.
`int` | `getColumn()` Access the Callout's column.
`int` | `getLine()` Access the Callout's line.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Callout

    public Callout(int callout,
                   com.icl.saxon.om.ElementInfo area,
                   int line,
                   int col)

  The constructor; initialize the private data structures.

Method Detail

### compareTo

    public int compareTo(java.lang.Object o)

  The compareTo method compares this Callout with another.

  Given two Callouts, A and B, A < B if:

  1. A.line < B.line, or
  2. A.line = B.line && A.col < B.col, or
  3. A.line = B.line && A.col = B.col && A.callout < B.callout
  4. Otherwise, they're equal.
  Specified by:
    compareTo in interface java.lang.Comparable

### getArea

    public com.icl.saxon.om.ElementInfo getArea()

  Access the Callout's area.

### getLine

    public int getLine()

  Access the Callout's line.

### getColumn

    public int getColumn()

  Access the Callout's column.

### getCallout

    public int getCallout()

  Access the Callout's callout number.

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD